Coin = {}
Coin.__index = Coin
ActiveCoins = {}

function Coin.new(x, y)
    local instance = setmetatable({}, Coin)
    instance.x = x
    instance.y = y
    instance.img = love.graphics.newImage("Sprites/goldcoin.png")
    instance.w = instance.img:getWidth()
    instance.h = instance.img:getHeight()
    instance.isCoin = true
    instance.spin = nil
    instance.anim = function()
        local g = anim8.newGrid(8, 8, self.w, self.h)
        local idle = anim8.newAnimation(g("1-6", 1), 0.1)
        instance.spin = idle
    end
    world:add(instance, instance.x - instance.w * 0.5, instance.y - instance.h, instance.w, instance.h)
    

    table.insert(ActiveCoins, instance)
end

function Coin:update(dt)
    self.spin:update(dt)
end

function Coin.updateAll(dt)
    for i, instance in ipairs(ActiveCoins) do
        instance:update(dt)
    end
end

function Coin:draw()
    spin:draw(self.img, self.x, self.y, nil, 1, 1, 4, 8)
end

function Coin.drawAll()
    for i, instance in ipairs(ActiveCoins) do
        instance:draw()
    end
end