local bump = require "bump/bump"
anim8 = require "anim8/anim8"
local camera = require "gamera/gamera"
love.graphics.setDefaultFilter("nearest", "nearest")
require("player")
require("coin")
local STI = require("sti")
local level = require("Map/testMap")

function levelLoader(level)
    Map = STI(level)
    local objects = level.layers["solids"].objects
    for i = 1, #objects do
        local obj = objects[i]
        obj.isWall = true
        world:add(obj, obj.x, obj.y, obj.width, obj.height)
    end
end



function love.load()
    world = bump.newWorld()
    Player:load()
    Coin.new(150, 250)
    levelLoader(level)
    cam = camera.new(0, 0, Map.width * Map.tilewidth, Map.height * Map.tileheight)
    cam:setScale(2.0)
end

function love.update(dt)
    Player:update(dt)
    Coin.updateAll(dt)
    --camera updater
    cam:setPosition(Player.x, Player.y)
    --print(Player.yVel)
end

function love.draw()
    cam:draw(function()
        Map:drawLayer(Map.layers["tiles"])
        --currAnim:draw(Player.img, Player.x, Player.y, nil, Player.factor * Player.zoom, Player.zoom, 4, 8)
        Player:draw()
        Coin.drawAll()
    end)
end 